#ifndef _UART_H_
#define _UART_H_

#include <avr/io.h>

typedef struct
{
   unsigned char rx_error;     // 1 = empfang: error flag
   unsigned char tx_busy ;     // 1 = Sender busy
} S_UART;

void uart_init( void );
int  uart_putc( const unsigned char );
int  uart_putstring( const char *s );
void start_tx( void );
int  uart_getc( void );

#endif /* _UART_H_ */
